Package ch.qos.logback.classic.pattern

# Class PrefixCompositeConverter

java.lang.Object
ch.qos.logback.core.pattern.Converter<E>
ch.qos.logback.core.pattern.FormattingConverter<E>
ch.qos.logback.core.pattern.DynamicConverter<E>
ch.qos.logback.core.pattern.CompositeConverter<ILoggingEvent>
ch.qos.logback.classic.pattern.PrefixCompositeConverter

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

public class PrefixCompositeConverter extends CompositeConverter<ILoggingEvent>

## Field Summary

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

## Constructor Summary

Constructors
Constructor
Description
`PrefixCompositeConverter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`convert(ILoggingEvent event)`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.
`protected String`
`transform(ILoggingEvent event, String in)`

### Methods inherited from class ch.qos.logback.core.pattern.CompositeConverter

`getChildConverter, setChildConverter, toString`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList, start, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PrefixCompositeConverter

public PrefixCompositeConverter()

## Method Details

### convert

public String convert(ILoggingEvent event)
Description copied from class: `Converter`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.

Overrides:
  `convert` in class `CompositeConverter<ILoggingEvent>`

### transform

protected String transform(ILoggingEvent event, String in)

Specified by:
  `transform` in class `CompositeConverter<ILoggingEvent>`